#ifndef UTFCHAR_FUNC_H
#define UTFCHAR_FUNC_H

#ifndef _improtocolstruct_hh
typedef unsigned short UTFCHAR;

#  ifndef Bool
typedef enum {
  True=1, False=0
} Boolean;
#    define Bool Boolean
#  endif

#else

#  include <IMProtocolStruct.h>
#endif


int 
_utfchar_concat(UTFCHAR *dest, UTFCHAR *str1, UTFCHAR *str2);
int
_utfchar_copy(UTFCHAR * dest, UTFCHAR * original);
int
_utfchar_length(UTFCHAR * p);
int
_utfchar_comp (UTFCHAR *s1, UTFCHAR *s2);
UTFCHAR *
_utfchar_convert_u8_to_u16 (unsigned char *u8str);
UTFCHAR *
_utfchar_dup (UTFCHAR *src);

#endif /* UTFCHAR_FUNC */
